Index: collections/documented-examples/trunk/dls-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19546)
+++ collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19691)
@@ -349,5 +349,5 @@
 <b>MÃ©ta-donnÃ©es de niveau collection</b>. Les lignes <i>collectionmeta </i> dans le fichier de configuration sont aussi standard dans toutes les collections Greenstone.
 Elles donnent une information gÃ©nÃ©rale sur la collection par la dÃ©finition de son nom, et par une description qui apparaÃ®t sur la page d\'accueil. La description (dans <i>collectionextra</i>) peut Ãªtre vue sur la page
-d\'accueil de la collection (_text2_).
+d\'accueil de la collection (ce texte en fait partie).
 
 <p>
@@ -539,5 +539,5 @@
 <p>
 
-_text1_
+<!-- _text1_ -->
 ÐµÑÐ»Ðž ÐÑ ÑÐ²Ð»ÑÐµÑÐµÑÑ ÑÐŸÐ»ÑÐºÐŸ ÐœÐ°ÑÐžÐœÐ°ÑÑÐžÐŒ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÐµÐŒ, ÑÐŸ Ð»ÑÑÑÐµ Ð²ÐœÐ°ÑÐ°Ð»Ðµ ÐŸÐ·ÐœÐ°ÐºÐŸÐŒÐžÑÑÑÑ Ñ ÐœÐµÐºÐŸÑÐŸÑÑÐŒÐž ÐŽÑÑÐ³ÐžÐŒÐž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑÐŒÐž (ÐœÐ°Ð¿ÑÐžÐŒÐµÑ, Ñ <a href=\"_gwcgi_?l=_cgiargl_&c=documented-examples/wrdpdf-e&a=p&p=about\">msword Ðž pdf ÐŽÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÑÐŒÐž</a> ÐžÐ»Ðž Ð¶Ðµ Ñ Ð°ÑÑ
 ÐžÐ²Ð°ÐŒÐž ÐžÐ»Ðž Ñ Ð¿ÑÐŸÑÑÐŸÐ¹ Ð³ÑÐ°ÑÐžÑÐµÑÐºÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐµÐ¹).
@@ -545,5 +545,5 @@
 
 <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð»</a> ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž, Ð¿ÐŸÐŽÐŸÐ±ÐœÐŸ Ð²ÑÐµÐŒ ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐŒ ÑÐ°Ð¹Ð»Ð°ÐŒ ÐŽÑÑÐ³ÐžÑ
- ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹, ÐœÐ°ÑÐžÐœÐ°ÐµÑÑÑ ÑÐŸ ÑÑÑÐŸÐºÐž Â«Ð¡ÐŸÐ·ÐŽÐ°ÑÐµÐ»ÑÂ» (\"Ð¡reator\"), ÐºÐŸÑÐŸÑÐ°Ñ ÑÐŸÐŸÐ±ÑÐ°ÐµÑ Ð°ÐŽÑÐµÑ ÑÐ»ÐµÐºÑÑÐŸÐœÐœÐŸÐ¹ Ð¿ÐŸÑÑÑ Ð¡ÐŸÐ·ÐŽÐ°ÑÐµÐ»Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž, Ðž ÐŽÑÑÐ³ÐŸÐ¹ -- Â«ÐÑÐ±Ð»ÐžÐºÐ°Â» (\"Public\"), ÐºÐŸÑÐŸÑÐ°Ñ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ, Ð¿ÐŸÑÐ²ÐžÑÑÑ Ð»Ðž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐœÐ° ÐŽÐŸÐŒÐ°ÑÐœÐµÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž Greenstone. _text3_
+ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹, ÐœÐ°ÑÐžÐœÐ°ÐµÑÑÑ ÑÐŸ ÑÑÑÐŸÐºÐž Â«Ð¡ÐŸÐ·ÐŽÐ°ÑÐµÐ»ÑÂ» (\"Ð¡reator\"), ÐºÐŸÑÐŸÑÐ°Ñ ÑÐŸÐŸÐ±ÑÐ°ÐµÑ Ð°ÐŽÑÐµÑ ÑÐ»ÐµÐºÑÑÐŸÐœÐœÐŸÐ¹ Ð¿ÐŸÑÑÑ Ð¡ÐŸÐ·ÐŽÐ°ÑÐµÐ»Ñ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž, Ðž ÐŽÑÑÐ³ÐŸÐ¹ -- Â«ÐÑÐ±Ð»ÐžÐºÐ°Â» (\"Public\"), ÐºÐŸÑÐŸÑÐ°Ñ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ, Ð¿ÐŸÑÐ²ÐžÑÑÑ Ð»Ðž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐœÐ° ÐŽÐŸÐŒÐ°ÑÐœÐµÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž Greenstone. <!-- _text3_ -->
 
 <p>
@@ -583,10 +583,10 @@
  <i>dls.Title</i> (ÐÐ°Ð·Ð²Ð°ÐœÐžÑ) (ÐºÐ°Ðº ÐÑ ÐŒÐŸÐ¶ÐµÑÐµ Ð²ÐžÐŽÐµÑÑ <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1.4.1\">Ð·ÐŽÐµÑÑ</a>).
 
-_text6_
+<!-- _text6_ -->
 
 Ð¢ÑÐµÑÐžÐ¹ ÐŽÐ°ÐµÑ ÐŽÐŸÑÑÑÐ¿ Ð¿ÐŸ ÐŸÑÐ³Ð°ÐœÐžÐ·Ð°ÑÐžÑÐŒ: ÑÑÐŸ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑ <i>Ð¡Ð¿ÐžÑÐŸÐº</i> ÐŸÑÐœÐŸÐ²Ð°ÐœÐœÑÐ¹ ÐœÐ° ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- <i>dls.Organization</i>. _text8_
-
-_text9_
+ <i>dls.Organization</i>. <!-- _text8_ -->
+
+<!-- _text9_ -->
 
 
@@ -596,7 +596,7 @@
 
 <p>
-<b>ÐÐ¿ÐµÑÐ°ÑÐŸÑÑ ÑÐŸÑÐŒÐ°ÑÐ°</b>. _text10_
-<p>
-_text11_
+<b>ÐÐ¿ÐµÑÐ°ÑÐŸÑÑ ÑÐŸÑÐŒÐ°ÑÐ°</b>. <!-- _text10_ -->
+<!-- <p>
+_text11_ -->
 <p>
 
@@ -615,5 +615,5 @@
 <b>ÐÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ ÑÑÐŸÐ²ÐœÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</b>. Ð¡ÑÑÐŸÐºÐž <i>collectionmeta</i> Ð² ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ ÑÐ°ÐºÐ¶Ðµ ÑÑÐ°ÐœÐŽÐ°ÑÑÐœÑ Ð²ÐŸ Ð²ÑÐµÑ
  ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑÑ
- Greenstone. ÐÐœÐž ÐŽÐ°ÑÑ ÐŸÐ±ÑÑÑ ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÑ ÐŸ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž, ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÑ ÐµÐµ ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ (ÐžÐŒÑ), Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÑÑ ÐºÑÐ°ÑÐºÐŸÐµ ÐŸÐ¿ÐžÑÐ°ÐœÐžÐµ, ÐºÐŸÑÐŸÑÐŸÐµ Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ ÐœÐ° ÐµÐµ ÐŽÐŸÐŒÐ°ÑÐœÐµÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ. ÐÑÐ°ÑÐºÐŸÐµ ÐŸÐ¿ÐžÑÐ°ÐœÐžÐµ (Ð² <i>collectionextra</i>) ÐŒÐŸÐ¶ÐœÐŸ Ð²ÐžÐŽÐµÑÑ ÐœÐ° ÐŽÐŸÐŒÐ°ÑÐœÐµÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž (_text2_)
+ Greenstone. ÐÐœÐž ÐŽÐ°ÑÑ ÐŸÐ±ÑÑÑ ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÑ ÐŸ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž, ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÑ ÐµÐµ ÐœÐ°Ð·Ð²Ð°ÐœÐžÐµ (ÐžÐŒÑ), Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÑÑ ÐºÑÐ°ÑÐºÐŸÐµ ÐŸÐ¿ÐžÑÐ°ÐœÐžÐµ, ÐºÐŸÑÐŸÑÐŸÐµ Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ ÐœÐ° ÐµÐµ ÐŽÐŸÐŒÐ°ÑÐœÐµÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ. ÐÑÐ°ÑÐºÐŸÐµ ÐŸÐ¿ÐžÑÐ°ÐœÐžÐµ (Ð² <i>collectionextra</i>) ÐŒÐŸÐ¶ÐœÐŸ Ð²ÐžÐŽÐµÑÑ ÐœÐ° ÐŽÐŸÐŒÐ°ÑÐœÐµÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž <!-- (_text2_) -->
 <p>
 
@@ -660,5 +660,5 @@
  &lt;<i>FileSet</i>&gt; ... &lt;<i>FileSet</i>&gt;. ÐÐœÐž ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÑÑ <i>dls.Title, dls.Language, dls.Subject</i> Ðž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ <i>dls.AZList</i>. ÐÐŸÐ»ÑÑÐµ ÑÐµÐŒ ÐŸÐŽÐœÐŸ Ð·ÐœÐ°ÑÐµÐœÐžÐµ ÐŒÐŸÐ¶ÐµÑ Ð±ÑÑÑ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐŸ ÐŽÐ»Ñ Ð»ÑÐ±ÑÑ
  Ð¿ÑÐœÐºÑÐŸÐ² ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
-. _text5_ ÐÐ±Ð° ÑÐŸÑ
+. <!-- _text5_ --> ÐÐ±Ð° ÑÐŸÑ
 ÑÐ°ÐœÐµÐœÑ Ð² ÐºÐ°ÑÐµÑÑÐ²Ðµ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
  ÐŽÐ»Ñ ÑÑÐŸÐ³ÐŸ ÑÐ¿ÐµÑÐžÑÐžÑÐµÑÐºÐŸÐ³ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°, Ð¿ÐŸÑÐŸÐŒÑ ÑÑÐŸ ÑÐŸÑÑÐŸÑÐœÐžÐµ=ÐœÐ°ÐºÐ°Ð¿Ð»ÐžÐ²Ð°ÑÑ (<i>mode=accumulate</i>) ÐŸÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐŸ, Ð° Ð² ÐºÐ°ÑÐµÑÑÐ²Ðµ Ð°Ð»ÑÑÐµÑÐœÐ°ÑÐžÐ²Ñ - Ð·ÐœÐ°ÑÐµÐœÐžÐµ Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ, ÐºÐŸÑÐŸÑÑÐŒ ÑÐ²Ð»ÑÐµÑÑÑ <i>mode=override</i>.
@@ -666,8 +666,8 @@
 
 <b>ÐÐµÑÐ°ÑÑ
-ÐžÑÐµÑÐºÐžÐµ ÑÐ°Ð¹Ð»Ñ</b>. _text12_
-
-<p>
-_text13_
+ÐžÑÐµÑÐºÐžÐµ ÑÐ°Ð¹Ð»Ñ</b>. <!-- _text12_ 
+
+<p>
+_text13_ -->
 
 <pre>
@@ -677,4 +677,5 @@
 </pre>
 
+<!--
 <p>
 _text14_
@@ -685,5 +686,5 @@
 <p>
 _text16_
-
+-->
 "
 