Index: collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg	(revision 19691)
+++ collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg	(revision 19692)
@@ -68,4 +68,8 @@
 collectionmeta	collectionname [l=en] "Paged Image example"
 collectionmeta	.section:text [l=en] "newspaper pages"
+
+# -- French strings --------------------
+collectionmeta	collectionname [l=fr] "Exemple d'image mise en page"
+collectionmeta	.section:text [l=fr] "pages de journaux"
 
 # -- Spanish strings --------------------
@@ -134,4 +138,54 @@
 "
 
+# -- French text -----------------------
+
+collectionmeta	collectionextra [l=fr] "
+Cette collection contient quelques journaux de la collection de journaux Maori 
+<a href='http://www.nzdl.org/cgi-bin/library?a=p&amp;p=about&amp;c=niupepa'>Niupepa</a>. 
+
+<h3>Comment fonctionne la collection</h3> 
+
+<p>Chaque numÃ©ro de revue est constituÃ© d'une sÃ©rie d'images, une par page, et d'une sÃ©rie de 
+fichiers textuels issus de l'OCR. Un fichier d'exemplaire fait le lien entre la sÃ©rie d'images 
+et le document du numÃ©ro du journal. Le plugiciel PagedImagePlugin est utilisÃ© pour traiter les 
+fichiers d'exemplaire. <p>Il y a deux styles de fichiers d'exemplaires, et cette collection les 
+utilise tous les deux. Le premier utilise un format textuel, et regroupe une liste de mÃ©tadonnÃ©es 
+et une liste de pages. 
+
+En voici quelques exemples : <a href='_httpcollection_/import/09/09\_1\_1.item'>Te Waka o Te Iwi, Vol. 1, No. 1</a>,  
+<a href='_httpcollection_/import/10/10\_1\_3.item'>Te Whetu o Te Tau, Vol. 1, No. 3</a>. 
+Ce format permet de spÃ©cifier des mÃ©tadonnÃ©es de niveau document, et une seule liste de pages. 
+
+<p>Le second style est un format Ã©tendu et utilise XML. Il permet de hiÃ©rarchiser les pages, 
+et de spÃ©cifier des mÃ©tadonnÃ©es aussi bien au niveau de la page que du document. 
+En voici un exemple : <a href='_httpcollection_/import/xml/23/23\_\_2.item'>Matariki 1881, No. 2</a>. 
+Ce journal a aussi un rÃ©sumÃ© qui lui est associÃ©. Les contenus ont donc Ã©tÃ© regroupÃ©s en deux sections : 
+matÃ©riaux complÃ©mentaires, qui contient les rÃ©sumÃ©s, et pages du journal, qui contient les images des pages. 
+Les documents paginÃ©s peuvent Ãªtre prÃ©sentÃ©s avec une table des matiÃšres hiÃ©rarchique (voir par exemple 
+<a href='?a=d&amp;c=_cgiargc_&amp;d=23\_\_1.2.1&p=text'>celle-ci</a>), ou avec des flÃšches de navigation pour 
+atteindre la page prÃ©cÃ©dente ou la page suivante, ainsi qu'une boÃ®te permettant d'atteindre une page en particulier 
+(par exemple <a href='?a=d&amp;c=_cgiargc_&amp;d=10\_1\_2&p=preview'>celle-ci</a>). Cela est dÃ©fini par l'option 
+<tt>-documenttype (hierarchy|paged)</tt> du plugiciel PagedImagePlugin. Les flÃšches de navigation suivent l"organisation 
+linÃ©aire des documents, tandis que la table des matiÃšres respecte l'organisation hiÃ©rarchique des documents. Normalement, 
+une collection Greenstone utilise un seul plugiciel par type de document, et tous les documents de ce type subissent le mÃªme 
+traitement. Dans ce cas, nous voulons traiter diffÃ©remment les fichiers d'exemplaires au format XML et les ficiers d'exemplaires 
+au format texte. Nous pouvons arriver Ã  ce rÃ©sultat en ajoutant deux plugiciels PagedImagePlugin Ã  la collection, et en 
+les configurant diffÃ©remment de la faÃ§on suivante : 
+<p><tt>plugin PagedImagePlugin -documenttype hierarchy -process_exp xml.*\.item$ <br/> 
+plugin PagedImagePlugin -documenttype paged </tt> <p>Les journaux dÃ©crits en XML ont Ã©tÃ© regroupÃ©s dans un dossier 
+appelÃ© <tt>xml</tt>. Cela nous permet de traiter ces fichiers diffÃ©remment, en utilisant l'option <tt>process_exp</tt> 
+dont disposent tous les plugiciels. Le premier plugiciel PagedImagePlugin de la liste recherche les fichiers d'exemplaires 
+Ã  l'intÃ©rieur du dossier xml. Ces documents seront alors traitÃ©s comme des documents hiÃ©rarchisÃ©s. Les fichiers d'exemplaires 
+qui ne correspondent pas Ã  l'expression de recherche (c'est Ã  dire qui ne sont pas situÃ©s dans le dossier xml) seront traitÃ©s 
+par le second plugiciel PagedImagePlugin, comme des documents paginÃ©s. <p><b>Formatage</b> <p>Nous avons modifiÃ© le formatage 
+du document pour afficher les images en haute rÃ©solution, prÃ©visualiser les images ou le texte, avec un bouton pour passer 
+d'un mode Ã  l'autre. Cela implique des modifications dans les dÃ©clarations des formats DocumentHeading et DocumentText, 
+dans le <a href='_httpcollection_/etc/collect.cfg' target=\'collect.cfg\'>fichier de configuration de la collection</a>, 
+et la dÃ©finition de certaines macros dans le <a href='_httpcollection_/macros/extra.dm' target=\'extra.dm\'>fichier de 
+macro extra.dm</a>. Le fichier de macro extra.dm dÃ©finit les boutons (\_viewfullsize\_,  \_viewpreview\_, \_viewtext\_) qui 
+sont utilisÃ©s par la dÃ©claration de format dans le fichier collect.cfg. La dÃ©claration de format change l'affichage du document 
+et dÃ©finit les boutons affichÃ©s en se basant sur l'argument p, qui est aussi dÃ©fini dans la dÃ©claration du format. 
+"
+
 # -- Spanish text -----------------------
 collectionmeta	collectionextra [l=es] "Esta colecciÃ³n contiene algunos diarios de la colecciÃ³n