Index: /gsdl/trunk/macros/french.dm
===================================================================
--- /gsdl/trunk/macros/french.dm	(revision 19693)
+++ /gsdl/trunk/macros/french.dm	(revision 19694)
@@ -348,8 +348,8 @@
 _textsome_ [l=fr] {quelques-uns des}  
 _textall_ [l=fr] {tous les}
-_textboolean_ [l=fr] {boolÃ©en}  
+_textboolean_ [l=fr] {boolÃ©enne}  
 _textranked_ [l=fr] {classÃ©e
 }  
-_textnatural_ [l=fr] {naturel}  
+_textnatural_ [l=fr] {naturelle}  
 _textsortbyrank_ [l=fr] {rang de pertinence}
 _texticonsearchhistorybar_ [l=fr] {historique de recherche}  
@@ -394,17 +394,21 @@
 # unset
 
-_textsimplesearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_,des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_,en langue _nselection_ )_If_(_sfselection_,\,_allowformbreak_ en triant les rÃ©sultats par _sfselection_) _querytypeselection_ mots :}  
-
-_textadvancedsearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_, des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_, dans _nselection_ langue) par requÃªte _querytypeselection_}  
-
-_textadvancedmgppsearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_, des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_, en langue _nselection_) et afficher les rÃ©sultats selon l'ordre _formquerytypeadvancedselection_ :}  
-
-_textadvancedlucenesearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_, des fichiers _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_, en langue _nselection_)_If_(_sfselection_,\,_allowformbreak_ en triant les rÃ©sultats par _sfselection_\,) }  
+# the space after "level" (before the right bracket) is required, otherwise no space between "Search" and "in"
+
+_textsimplesearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_,associÃ©(e) Ã  _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_,en langue _nselection_)_If_(_sfselection_,\,_allowformbreak_ en triant les rÃ©sultats par _sfselection_\,) _querytypeselection_ mots :}  
+
+_textadvancedsearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_, associÃ©(e) Ã  _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_, en langue _nselection_) par requÃªte _querytypeselection_ :}  
+
+_textadvancedmgppsearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_, associÃ©(e) Ã  _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_, en langue _nselection_) et afficher les rÃ©sultats en disposition _formquerytypeadvancedselection_ :}  
+
+_textadvancedlucenesearch_ [l=fr] {Rechercher dans _indexselection__If_(_jselection_, associÃ©(e) Ã  _jselection_)_If_(_gselection_, au niveau de _gselection_)_If_(_nselection_, en langue _nselection_)_If_(_sfselection_,_allowformbreak_ en triant les rÃ©sultats par _sfselection_) : }  
+
+# the space after "Search" is required, otherwise no space between "Search" and "in"
 
 _textformsimplesearch_ [l=fr] {Rechercher _If_(_jselection_, _jselection_) _If_(_gformselection_, au niveau de _gformselection_ ) _If_(_nselection_, en langue _nselection_)_If_(_sfselection_,\, en triant les rÃ©sultats par _sfselection_\,) selon _formquerytypesimpleselection_ critÃšres suivants : }  
 
-_textformadvancedsearchmgpp_ [l=fr] {Rechercher _If_(_jselection_,_jselection_ )_If_(_gformselection_,au niveau de _gformselection_)_If_(_nselection_,en langue _nselection_ ) et afficher les rÃ©sultats selon l'ordre  _formquerytypeadvancedselection_ :}  
-
-_textformadvancedsearchlucene_ [l=fr] {Rechercher _If_(_jselection_, _jselection_)_If_(_gformselection_,  au niveau de _gformselection_)_If_(_nselection_, en langue _nselection_ )_If_(_sfselection_,\, en triant les rÃ©sultats par _sfselection_\,) selon les critÃšres suivants : }  
+_textformadvancedsearchmgpp_ [l=fr] {Rechercher _If_(_jselection_,_jselection_ )_If_(_gformselection_,au niveau de _gformselection_)_If_(_nselection_,en langue _nselection_ ) et afficher les rÃ©sultats en disposition  _formquerytypeadvancedselection_ :}  
+
+_textformadvancedsearchlucene_ [l=fr] {Rechercher _If_(_jselection_, _jselection_)_If_(_gformselection_,  au niveau de _gformselection_)_If_(_nselection_, en langue _nselection_)_If_(_sfselection_,\, en triant les rÃ©sultats par _sfselection_\,) selon les critÃšres suivants : }  
 
 _textnojsformwarning_ [l=fr] {Attention: Javascript est dÃ©sactivÃ© dans votre navigateur web. <br> Pour utiliser la recherche par formulaire, veuillez l'activer.}