Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19695)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19696)
@@ -601,5 +601,5 @@
 <Text id="0255">Start the Greenstone Librarian Interface:</Text>
 <Menu>
-<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone-2.82 &rarr; Librarian Interface (GLI)</Text>
+<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone 2.82 &rarr; Librarian Interface (GLI)</Text>
 </Menu> 
 <Comment>
@@ -688,6 +688,7 @@
 <Content>
 <NumberedItem>
-<Text id="0338">In the Librarian Interface, start a new collection (<Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_New"/></Menu>) called <b>backdrop</b>. Fill out the fields with appropriate information. For <AutoText key="glidict::NewCollectionPrompt.Base_Collection"/>, select the item <b>Simple image collection (image-e)</b> from the pull-down menu.</Text>
-<Comment>
+<Text id="0338">In the Librarian Interface, start a new collection (<Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_New"/></Menu>) called <b>backdrop</b>. Fill out the fields with appropriate information. For <AutoText key="glidict::NewCollectionPrompt.Base_Collection"/>, select the item <b>Simple image collection</b> from the pull-down menu.</Text> 
+<Comment>
+<Text id="0338a">This will only be available if the documented example collections are installed. If you don't have this collection, select <AutoText key="glidict::NewCollectionPrompt.NewCollection"/>. You can still build an image collection, but some of the tutorial will not match exactly.</Text>
 <Text id="0340a">When you base a collection on an existing one, it inherits all the settings of the old one, including which metadata sets (if any) the collection uses.</Text>
 </Comment>
@@ -703,5 +704,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0344">Click on <AutoText key="coredm::_Global:labelBrowse_"/> in the navigation bar to view a list of the photos ordered by filename and presented as a thumbnail accompanied by some basic data about the image. The structure of this collection is the same as <b>Simple image collection (image-e)</b>, but the content is different.</Text>
+<Text id="0344">Click on <AutoText key="coredm::_Global:labelBrowse_"/> in the navigation bar to view a list of the photos ordered by filename and presented as a thumbnail accompanied by some basic data about the image. The structure of this collection is the same as <b>Simple image collection</b>, but the content is different.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -712,5 +713,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0352">We work with just the first three files (<Path>Bear.jpg</Path>, <Path>Cat.jpg</Path> and <Path>Cheetah.jpg</Path>) to get a flavour of what is possible. First, we need to add the <AutoText text="Dublin Core"/> metadata set which is not used in the <b>Simple image collection (image-e)</b> collection. Click the <AutoText key="glidict::MetadataSetDialog.Add_Title" type="button"/> button at the left bottom coner. A new window pops up showing the metadata sets used by current collection, click <AutoText key="glidict::MetadataSetDialog.Add" type="button"/> button brings up another window showing the available metadata sets. Select <AutoText text="Dublin Core Metadata Element Set, Version 1.1: Reference Description (dc)"/> from the list and click <AutoText key="glidict::MetadataSetDialog.Add_Set" type="button"/>. Click <AutoText key="glidict::General.Close" type="button"/> to return to the <AutoText key="glidict::GUI.Enrich"/> panel.</Text>
+<Text id="0352">We work with just the first three files (<Path>Bear.jpg</Path>, <Path>Cat.jpg</Path> and <Path>Cheetah.jpg</Path>) to get a flavour of what is possible. First, we need to add the Dublin Core metadata set which is not used in the <b>Simple image collection</b> collection. Click the <AutoText key="glidict::EnrichPane.ManageMetadataSets" type="button"/> button beneath the Collection file tree. A new window pops up showing the metadata sets used by current collection. Click the <AutoText key="glidict::MetadataSetDialog.Add" type="button"/> button to bring up another window showing the available metadata sets. Select the "Dublin Core Metadata Element Set" from the list and click <AutoText key="glidict::MetadataSetDialog.Add_Set" type="button"/>. Click <AutoText key="glidict::General.Close" type="button"/> to return to the <AutoText key="glidict::GUI.Enrich"/> panel.</Text>
 <Text id="0352a">First, set each file's <AutoText key="metadata::dc.Title"/> field to be the same as its filename but without the filename extension.</Text>
 <Text id="0353">Click on <Path>Bear.jpg</Path> so its metadata fields are available, then click on its <AutoText key="metadata::dc.Title"/> field on the right-hand side. Type in <b>Bear</b>.</Text>
@@ -731,5 +732,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0358">Now we customize the collection's appearance. Go to the <AutoText key="glidict::GUI.Format"/> panel and select <AutoText key="glidict::CDM.GUI.Formats"/> from the left-hand list. Leave the feature selection controls at their default values, so that <AutoText key="glidict::CDM.FormatManager.AllFeatures" type="itlaics"/> is selected for <AutoText key="glidict::CDM.FormatManager.Feature"/>, and <AutoText text="VList" /> is selected as the <AutoText key="glidict::CDM.FormatManager.Part"/>. In the <AutoText key="glidict::CDM.FormatManager.Editor"/>, edit the text as follows:</Text>
+<Text id="0358">Now we customize the collection's appearance. Go to the <AutoText key="glidict::GUI.Format"/> panel and select <AutoText key="glidict::CDM.GUI.Formats"/> from the left-hand list. Leave the feature selection controls at their default values, so that <AutoText key="glidict::CDM.FormatManager.AllFeatures" type="italics"/> is selected for <AutoText key="glidict::CDM.FormatManager.Feature"/>, and <AutoText text="VList" /> is selected as the <AutoText key="glidict::CDM.FormatManager.Part"/>. In the <AutoText key="glidict::CDM.FormatManager.Editor"/>, edit the text as follows:</Text>
 <BulletList>
 <Bullet>
@@ -796,5 +797,8 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0386a">To change the text that is displayed for the index (document:dc.Description), go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. Change the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the <AutoText key="coredm::_Global:labelDescription_" type="italics"/> index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form.</Text>
+<Text id="0386a">To change the text that is displayed for the index (<AutoText key="coredm::_Global:labelDescription_" type="italics"/>), go to the <AutoText key="glidict::GUI.Format"/> panel back in the Librarian Interface. Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> from the left-hand list. This panel allows you to change the text that is displayed on the search form. Change the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the "dc.Description" index to "image descriptions" (or other suitable text). Go back to the browser and reload the search page. Your new text will appear in the search form. </Text>
+<Comment>
+<Text id="0386b">Note that if you use text instead of macros in the search metadata display text, you will need to do any translations yourself.</Text>
+</Comment>
 </NumberedItem>
 </Content>