Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19696)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 19697)
@@ -872,5 +872,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0310b">By default the title index <AutoText text="dc.Title,ex.Title"/> includes <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/>. Searching this index will search both <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/> metadata. If you want to restrict searching to just the manually added <AutoText key="metadata::dc.Title"/> metadata, edit the index again and deselect <AutoText key="metadata::ex.Title"/> from the list of metadata.</Text>
+<Text id="0310b">By default the titles index (<b><AutoText key="metadata::dc.Title" type="plain"/>,<AutoText key="metadata::ex.Title" type="plain"/></b>) includes <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/>. Searching this index will search both <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/> metadata. If you want to restrict searching to just the manually added <AutoText key="metadata::dc.Title"/> metadata, edit this index and deselect <AutoText key="metadata::ex.Title"/> from the list of metadata.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -881,13 +881,9 @@
 </Heading>
 <NumberedItem>
-<Text id="0315a">The <AutoText key="glidict::CDM.GUI.Classifiers"/> section adds "classifiers," which provide the collection with browsing functions. Go to this section and observe that Greenstone has provided two classifiers, <i>List</i> based on <AutoText text="dc.Title;Title"/> and <AutoText key="metadata::ex.Source"/> metadata. These correspond to the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> and <AutoText key="coredm::_Global:labelSource_" type="italics"/> buttons on the collection's access bar. </Text>
+<Text id="0315a">The <AutoText key="glidict::CDM.GUI.Classifiers"/> section adds "classifiers," which provide the collection with browsing functions. Go to this section and observe that Greenstone has provided two <i>List</i> classifiers, based on <AutoText text="dc.Title;Title"/> and <AutoText key="metadata::ex.Source"/> metadata. These correspond to the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> and <AutoText key="coredm::_Global:labelSource_" type="italics"/> buttons on the collection's access bar. </Text>
 <Text id="0315a-1">Remove the <AutoText key="metadata::ex.Source"/> classifier by selecting it and clicking <AutoText key="glidict::CDM.ClassifierManager.Remove" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="0315b">Modify the <AutoText text="dc.Title;Title"/> classifier to use <AutoText key="metadata::dc.Title"/> instead. Select the classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. In the <AutoText text="metadata"/> box, select <AutoText key="metadata::dc.Title"/> instead of <AutoText text="dc.Title;Title"/>. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
-</NumberedItem>
-<NumberedItem>
 <Text id="0318a">Now add an <AutoText text="AZCompactList"/> classifier for <AutoText key="metadata::dc.Creator"/>. Select <AutoText text="AZCompactList"/> from the <AutoText key="glidict::CDM.ClassifierManager.Classifier"/> drop-down list and click <AutoText key="glidict::CDM.ClassifierManager.Add" type="button"/>. A popup window <AutoText key="glidict::CDM.ArgumentConfiguration.Title"/> appears. Select <AutoText key="metadata::dc.Creator"/> from the <AutoText text="metadata"/> drop-down list and click <AutoText key="glidict::General.OK" type="button"/>.</Text>
-<Text id="0318b"><AutoText text="AZCompactList"/> is like <AutoText text="List"/>, except that values that appear multiple times in the hierarchy are automatically grouped together and a new node, shown as a bookshelf icon, is formed.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -895,36 +891,12 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0321">Check that all the facilities work properly. There should be three full-text indexes, called <i>text</i>, <AutoText key="coredm::_Global:labelTitle_" type="italics"/>, and <AutoText key="coredm::_Global:labelCreator_" type="italics"/>. The <AutoText key="coredm::_Global:labelTitle_" type="italics"/> list should display all the documents to which you have assigned <AutoText key="metadata::dc.Title"/> metadata (and only those documents). The <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list should show one bookshelf for each author you have assigned as <AutoText key="metadata::dc.Creator"/>, and clicking on that bookshelf should take you to all the documents they authored.</Text>
-</NumberedItem>
-<!-- This is no longer needed and we have changed index names in the simple image tutorial before -->
-<!--
-<Heading>
-<Text id="0321-1">Renaming the search indexes</Text>
-</Heading>
-<NumberedItem>
-<Text id="0321-2">The default display text for the indexes in the drop-down list on the search page contains the content of the index. Now we will change this display text to make it nicer. Go to the <AutoText key="glidict::GUI.Format"/> panel by clicking its tab. This panel is split into several sections, each controlling some aspect of collection presentation.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0321-3">Select <AutoText key="glidict::CDM.GUI.SearchMetadata"/> in the left hand list. This section allows you to modify what text is displayed for the drop-down lists in the search form (indexes, subcollections, levels etc). Set the  <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the <AutoText text="dc.Title"/> (or <AutoText text="dc.Title,Title"/> if you didn't deselect <AutoText key="metadata::ex.Title"/> in the search index) index to be "titles", and that for the <AutoText text="dc.Creator"/> index to be "creators". Preview the collection by clicking the <AutoText key="glidict::CreatePane.Preview_Collection"/>. The search form should display the new text.</Text>
-</NumberedItem>
--->
-<Heading>
-<Text id="0321a">Classifying on multiple metadata</Text>
-</Heading>
-<NumberedItem>
-<Text id="0321b">The new <AutoText key="coredm::_Global:labelTitle_" type="italics"/> list shows only those documents which have been assigned <AutoText key="metadata::dc.Title"/> metadata. For many documents, extracted Titles may be fine, and it is impractical to add the same metadata again as <AutoText key="metadata::dc.Title"/>. Fortunately there is a way we can use both metadata types in one classifier: specify a list of metadata names in the classifier.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0321c">In the <AutoText key="glidict::CDM.GUI.Classifiers"/> section of the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText text="List"/> for <AutoText key="metadata::dc.Title"/> in the <AutoText key="glidict::CDM.ClassifierManager.Assigned"/> box and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Note you can achieve the same result by double clicking on the classifier.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0321d">In the <AutoText text="metadata"/> field, type <AutoText text=";Title" type="quoted"/> after the <AutoText key="metadata::dc.Title" type="quoted"/>&mdash;i.e. make it read</Text>
-<Format>
-<AutoText key="metadata::dc.Title" type="plain"/><AutoText text=";Title" type="plain"/>
-</Format>
-</NumberedItem>
-<NumberedItem>
-<Text id="0321d-1">If you have already done the <TutorialRef id="enhanced_word"/> exercise, some of the documents will have extracted ex.Creator metadata, and some will have dc.Creator. To use both of these in the Creators classifier, make a similar change to the <AutoText text="AZCompactList"/>: make the <AutoText text="metadata"/> field read <Format><AutoText key="metadata::dc.Creator" type="plain"/><AutoText text=",ex.Creator" type="plain"/></Format>.</Text>
-<Text id="0321e"><b>Build</b> the collection again and <b>preview</b> it. Now all of the documents should appear in the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> list (and extracted Creators should appear in the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list).</Text>
+<Text id="0321">Check that all the facilities work properly. There should be three full-text indexes, called <AutoText key="coredm::_Global:labeltext_" type="italics"/>, <AutoText key="coredm::_Global:labelTitle_" type="italics"/>, and <AutoText key="coredm::_Global:labelCreator_" type="italics"/>. The <AutoText key="coredm::_Global:labelTitle_" type="italics"/> list should display all the document Titles. The <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list should show one bookshelf for each author you have assigned as <AutoText key="metadata::dc.Creator"/>, and clicking on that bookshelf should take you to all the documents they authored.</Text>
+</NumberedItem>
+<Comment>
+<Text id="0321b">The <AutoText key="coredm::_Global:labelTitle_" type="italics"/> list shows all documents which have been assigned <AutoText key="metadata::dc.Title"/> metadata, or have automatically extracted <AutoText key="metadata::ex.Title"/>. For many documents, extracted Titles may be fine, and it is impractical to add the same metadata again as <AutoText key="metadata::dc.Title"/>. Specifying a list of metadata names in the classifier allows us to use both. </Text>
+</Comment>
+<NumberedItem>
+<Text id="0321d-1">If you have already done the <TutorialRef id="enhanced_word"/> exercise, some of the documents will have extracted ex.Creator metadata, and some will have dc.Creator. To use both of these in the Creators classifier, make the <AutoText text="metadata"/> field read <Format><AutoText key="metadata::dc.Creator" type="plain"/><AutoText text=",ex.Creator" type="plain"/></Format>.</Text>
+<Text id="0321e"><b>Build</b> the collection again and <b>preview</b> it. Now extracted Creators should appear in the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list.</Text>
 </NumberedItem>
 <Comment>
@@ -996,5 +968,5 @@
 </Format>
 <Text id="fw-16"><b>Preview</b> the collection. Click on the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list and notice that the bookshelves now display how many documents they contain.</Text>
-<Text id="fw-17">This revised format statement has the effect of specifying in brackets how many items are contained within a bookshelf.  Since only bookshelves define <Format>[numleafdocs]</Format>, only they will display this. By modifying <AutoText text="CL2VList"/> instead of <AutoText text="VList"/>, the change will only apply to the second classifier (Creators).</Text>
+<Text id="fw-17">This revised format statement has the effect of specifying in brackets how many items are contained within a bookshelf.  Since only bookshelves define <Format>[numleafdocs]</Format>, only they will display this. By modifying <AutoText text="CL2VList"/> instead of <AutoText text="VList"/>, the change will only apply to the second classifier (<AutoText key="coredm::_Global:labelCreator_" type="plain"/>).</Text>
 </NumberedItem>
 <Heading>