Index: /collections/documented-examples/trunk/gsarch-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/gsarch-e/etc/collect.cfg	(revision 19718)
+++ /collections/documented-examples/trunk/gsarch-e/etc/collect.cfg	(revision 19719)
@@ -307,5 +307,5 @@
 # -- Russian strings ----------------
 collectionmeta	collectionextra [l=ru] "
-_text1_
+<!-- _text1_ -->
 
 
@@ -314,5 +314,5 @@
 ÐÐŸÐ»Ð»ÐµÐºÑÐžÑ Ð°ÑÑ
 ÐžÐ²ÐŸÐ² Greenstone ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ Ð¿Ð»Ð°Ð³ÐžÐœ Ðmail, ÐºÐŸÑÐŸÑÑÐ¹ Ð°ÐœÐ°Ð»ÐžÐ·ÐžÑÑÐµÑ ÑÐ°Ð¹Ð»Ñ Ð² ÑÐŸÑÐŒÐ°ÑÐ°Ñ
- ÑÐ»ÐµÐºÑÑÐŸÐœÐœÐŸÐ¹ Ð¿ÐŸÑÑÑ. _text2_  ÐÐ»Ð°Ð³ÐžÐœ Ðmail ÑÐ°Ð·Ð±ÐžÐ²Ð°ÐµÑ ÐžÑ
+ ÑÐ»ÐµÐºÑÑÐŸÐœÐœÐŸÐ¹ Ð¿ÐŸÑÑÑ. <!-- _text2_ --> ÐÐ»Ð°Ð³ÐžÐœ Ðmail ÑÐ°Ð·Ð±ÐžÐ²Ð°ÐµÑ ÐžÑ
  ÐœÐ° ÐžÐœÐŽÐžÐ²ÐžÐŽÑÐ°Ð»ÑÐœÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ Ðž ÑÐŸÐ·ÐŽÐ°ÐµÑ <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÐµ</i>, <i>ÐÑÐµÐŽÐŒÐµÑ</i>, <i>ÐÑ</i>, <i>ÐÐŒÑ ÐŸÑÐ¿ÑÐ°Ð²ÐžÑÐµÐ»Ñ</i>, <i>ÐÐŽÑÐµÑ ÐŸÑÐ¿ÑÐ°Ð²ÐžÑÐµÐ»Ñ</i>, <i>ÐÐ°ÑÐ°</i>, <i>ÐÐ°ÑÐ° ÑÐµÐºÑÑÐŸÐŒ</i>, <i>ÐÐŸÐŒÑ ÐÑÐ²ÐµÑ</i> Ðž Ð²ÑÐ±ÐŸÑÐŸÑÐœÐŸ <i>ÐÐ°Ð³ÐŸÐ»ÐŸÐ²ÐºÐž</i>. 
 <p>
@@ -336,5 +336,5 @@
 , Ð¿ÐŸÑ
 ÐŸÐ¶ ÐœÐ° <i>AZLIST</i>, ÐœÐŸ ÐŸÐœ ÑÐŸÑÐŒÐžÑÑÐµÑ ÐºÐœÐžÐ¶ÐœÑÑ Ð¿ÐŸÐ»ÐºÑ ÐŽÐ»Ñ ÐŽÑÐ±Ð»ÐžÐºÐ°ÑÐŸÐ² ÑÐ»ÐµÐŒÐµÐœÑÐŸÐ², ÐºÐ°Ðº Ð¿ÐŸÐºÐ°Ð·Ð°ÐœÐŸ <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">Ð·ÐŽÐµÑÑ</a>. ÐÐœÐ° Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐ° ÑÑÑÑÐºÑÑÑÐŸÐ¹ ÐŽÐµÑÐµÐ²Ð°, ÑÐ·Ð»Ñ ÐºÐŸÑÐŸÑÐŸÐ¹ ÑÐ²Ð»ÑÑÑÑÑ ÐžÐ»Ðž ÑÐ·Ð»Ð°ÐŒÐž Ð»ÐžÑÑÐ°, Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ, ÐžÐ»Ðž Ð²ÐœÑÑÑÐµÐœÐœÐžÐŒÐž ÑÐ·Ð»Ð°ÐŒÐž. ÐÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ ÑÐ»ÐµÐŒÐµÐœÑÐŸÐ², ÐœÐ°Ð·ÑÐ²Ð°ÐµÐŒÑÐµ numleafdocs, ÐŽÐ°ÑÑ ÐŸÐ±ÑÐµÐµ ÐºÐŸÐ»ÐžÑÐµÑÑÐ²ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ², ÑÐ°ÑÐ¿ÐŸÐ»ÐŸÐ¶ÐµÐœÐœÑÑ
- ÐœÐžÐ¶Ðµ Ð²ÐœÑÑÑÐµÐœÐœÐµÐ³ÐŸ ÑÐ·Ð»Ð°. ÐÐ¿ÐµÑÐ°ÑÐŸÑÑ ÑÐŸÑÐŒÐ°ÑÐ° ÐŽÐ»Ñ Ð¿ÐµÑÐ²ÐŸÐ³ÐŸ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐ°, ÐœÐ°Ð·ÑÐ²Ð°ÐµÐŒÑÐµ <i>CL1Vlist</i>, Ð¿ÑÐŸÐ²ÐµÑÑÑÑ, ÑÑÑÐµÑÑÐ²ÑÐµÑ Ð»Ðž ÑÑÐŸÑ ÑÐ»ÐµÐŒÐµÐœÑ. ÐÑÐ»Ðž ÑÑÐŸ ÑÐ°Ðº, ÑÐŸ ÑÐ·ÐµÐ» ÐŽÐŸÐ»Ð¶ÐµÐœ Ð±ÑÑÑ Ð²ÐœÑÑÑÐµÐœÐœÐžÐŒ, Ð² ÑÐ»ÑÑÐ°Ðµ ÑÐµÐ³ÐŸ ÐŸÐœ Ð¿ÐŸÐŒÐµÑÐ°ÐµÑÑÑ ÐµÐ³ÐŸ <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÐµÐŒ (Title)</i>. _text4_ 
+ ÐœÐžÐ¶Ðµ Ð²ÐœÑÑÑÐµÐœÐœÐµÐ³ÐŸ ÑÐ·Ð»Ð°. ÐÐ¿ÐµÑÐ°ÑÐŸÑÑ ÑÐŸÑÐŒÐ°ÑÐ° ÐŽÐ»Ñ Ð¿ÐµÑÐ²ÐŸÐ³ÐŸ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐ°, ÐœÐ°Ð·ÑÐ²Ð°ÐµÐŒÑÐµ <i>CL1Vlist</i>, Ð¿ÑÐŸÐ²ÐµÑÑÑÑ, ÑÑÑÐµÑÑÐ²ÑÐµÑ Ð»Ðž ÑÑÐŸÑ ÑÐ»ÐµÐŒÐµÐœÑ. ÐÑÐ»Ðž ÑÑÐŸ ÑÐ°Ðº, ÑÐŸ ÑÐ·ÐµÐ» ÐŽÐŸÐ»Ð¶ÐµÐœ Ð±ÑÑÑ Ð²ÐœÑÑÑÐµÐœÐœÐžÐŒ, Ð² ÑÐ»ÑÑÐ°Ðµ ÑÐµÐ³ÐŸ ÐŸÐœ Ð¿ÐŸÐŒÐµÑÐ°ÐµÑÑÑ ÐµÐ³ÐŸ <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÐµÐŒ (Title)</i>. <!-- _text4_ -->
 <p>
 
@@ -342,5 +342,5 @@
  ÑÐ·Ð»ÐŸÐ² ÑÐ°ÐºÑÐžÑÐµÑÐºÐŸÐµ ÑÐžÑÐ»ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² Ð² ÑÐ¿ÐžÑÐºÐµ (<i>numleafdocs</i>) ÐŽÐ°ÐµÑÑÑ Ð² ÐºÑÑÐ³Ð»ÑÑ
  ÑÐºÐŸÐ±ÐºÐ°Ñ
- Ð¿ÐŸÑÐ»Ðµ <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ</i>. _text5_ 
+ Ð¿ÐŸÑÐ»Ðµ <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ</i>. <!-- _text5_ -->
 <p>
 
@@ -348,5 +348,5 @@
 <p>
 
-_text6_
+<!-- _text6_ -->
 "
 
Index: /collections/documented-examples/trunk/image-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/image-e/etc/collect.cfg	(revision 19718)
+++ /collections/documented-examples/trunk/image-e/etc/collect.cfg	(revision 19719)
@@ -298,5 +298,5 @@
 . ÐÐµÑÐºÐŸÐ»ÑÐºÐŸ JPEG-ÑÐ°Ð¹Ð»ÐŸÐ² Ð¿ÐŸÐŒÐµÑÐµÐœÑ Ð² ÐŽÐžÑÐµÐºÑÐŸÑÐžÑ ÐžÐŒÐ¿ÐŸÑÑÐ° ÐŽÐŸ ÐžÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÐžÑ Ðž Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž. Ð ÑÑÐŸ Ð²ÑÐµ.
 <p>
-_text1_
+<!-- _text1_ -->
 
 
Index: /collections/documented-examples/trunk/oai-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/oai-e/etc/collect.cfg	(revision 19718)
+++ /collections/documented-examples/trunk/oai-e/etc/collect.cfg	(revision 19719)
@@ -395,9 +395,10 @@
 
 ÐÐ°Ðº ÑÐŸÐ»ÑÐºÐŸ ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÑ ÐžÐ· ÐAI ÐžÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÐ°, ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÑÑÑ ÐŸÐ±ÑÑÐœÑÐŒ ÑÐ¿ÐŸÑÐŸÐ±ÐŸÐŒ. ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð» ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ Ð¿Ð»Ð°Ð³ÐžÐœ OAI, ÐºÐŸÑÐŸÑÑÐ¹ ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ OAI, Ðž Ð¿Ð»Ð°Ð³ÐžÐœ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹, Ð¿ÐŸÑÐºÐŸÐ»ÑÐºÑ Ð² ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ ÐžÑÑ
-ÐŸÐŽÐœÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž  - ÑÑÐŸ ÑÐ°Ð¹Ð»Ñ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹. _text1_ Greenstone ÐŸÐ±ÑÑÐœÐŸ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ ÑÐ·ÑÐº ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² Ð°Ð²ÑÐŸÐŒÐ°ÑÐžÑÐµÑÐºÐž, ÐœÐŸ ÑÑÐž Ð·Ð°Ð¿ÐžÑÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
+ÐŸÐŽÐœÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž  - ÑÑÐŸ ÑÐ°Ð¹Ð»Ñ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹. <!-- _text1_ -->Greenstone ÐŸÐ±ÑÑÐœÐŸ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ ÑÐ·ÑÐº ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² Ð°Ð²ÑÐŸÐŒÐ°ÑÐžÑÐµÑÐºÐž, ÐœÐŸ ÑÑÐž Ð·Ð°Ð¿ÐžÑÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
  ÑÐ²Ð»ÑÑÑÑÑ ÑÐ»ÐžÑÐºÐŸÐŒ ÐœÐµÐ±ÐŸÐ»ÑÑÐžÐŒÐž ÐŽÐ»Ñ ÑÐŸÐ³ÐŸ, ÑÑÐŸÐ±Ñ ÑÑÐŸ ÑÐŽÐµÐ»Ð°ÑÑ ÐœÐ°ÐŽÐµÐ¶ÐœÐŸ: Ð¿ÐŸÑÑÐŸÐŒÑ Ð°ÐœÐ³Ð»ÐžÐ¹ÑÐºÐžÐ¹ ÑÐ·ÑÐº ÐŸÐ¿ÑÐµÐŽÐµÐ»ÐµÐœ ÑÐ²ÐœÐŸ Ð² Ð¿Ð°ÑÐ°ÐŒÐµÑÑÐµ <i>ÑÐ·ÑÐºÐ°</i> (<i>language</i>). ÐÐ»Ð°Ð³ÐžÐœÑ ÐAI Ð°ÐœÐ°Ð»ÐžÐ·ÐžÑÑÑÑ  ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ Ðž Ð¿ÐµÑÐµÑÑÐ»Ð°ÑÑ ÐžÑ
  Ðº ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÑÑÑÐµÐŒÑ ÑÐ°Ð¹Ð»Ñ ÐžÑÑ
 ÐŸÐŽÐœÐŸÐ³ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°, ÐºÐŸÑÐŸÑÑÐ¹ Ð·Ð°ÑÐµÐŒ ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÑÑÑ ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÑÑÑÐžÐŒ Ð¿Ð»Ð°Ð³ÐžÐœÐŸÐŒ -- Ð² ÐŽÐ°ÐœÐœÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ <i>ImagePlugin</i>. Ð­ÑÐŸÑ Ð¿Ð»Ð°Ð³ÐžÐœ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ ÑÐ°Ð·Ð»ÐžÑÐœÑÐµ Ð²ÐµÑÑÐžÐž ÑÐ°Ð·ÑÐµÑÐµÐœÐžÑ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ ÐœÐ° ÑÐºÑÐ°ÐœÐµ.
 
+<!--
 <p>
 _text2_
@@ -405,4 +406,5 @@
 <p>
 _text3_
+-->
 
 <p>
@@ -438,5 +440,5 @@
 
 <p>
-_text3_
+<!-- _text3_ -->
 "
 