Index: /gli/trunk/classes/dictionary_ru.properties
===================================================================
--- /gli/trunk/classes/dictionary_ru.properties	(revision 19722)
+++ /gli/trunk/classes/dictionary_ru.properties	(revision 19723)
@@ -1,5 +1,5 @@
 #*******************
 #** Language Orientation Property
-Component.Orientation:LTR
+Component.Orientation:LTR  
 
 #*******************
@@ -716,4 +716,9 @@
 General.Edit:Ð ÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÑÑ Ð·ÐœÐ°ÑÐµÐœÐžÐµ
 General.Error:ÐÑÐžÐ±ÐºÐ°
+General.LLS_Not_Started:ÐÑ Ð·Ð°Ð¿ÑÑÑÐžÐ»Ðž ÑÐµÑÐ²ÐµÑ ÐÑÐžÐœÑÑÐŸÑÐœ, ÐœÐŸ Ð¿ÐŸÐºÐ° ÐœÐµ ÐœÐ°Ð¶Ð°Ð»Ðž ÐºÐœÐŸÐ¿ÐºÑ - ÐÐŸÐ¹ÑÐž Ð² Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÑ. \n ÐÑÐ»Ðž Ð²Ñ ÑÐŽÐµÐ»Ð°Ð»Ðž ÑÑÐŸ, ÑÐŸ ÐœÐ°Ð¶ÐŒÐžÑÐµ ÐºÐœÐŸÐ¿ÐºÑ ÐÑÐµÐŽÐ²Ð°ÑÐžÑÐµÐ»ÑÐœÑÐ¹ Ð¿ÑÐŸÑÐŒÐŸÑÑ Ð² ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÐŸÐŒ ÐÐœÑÐµÑÑÐµÐ¹ÑÐµ ÐÑÐžÐœÑÑÐŸÑÐœ, ÑÑÐŸÐ±Ñ Ð¿ÑÐŸÑÐŒÐŸÑÑÐµÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ.
+  
+General.LLS_Not_Started_Title:ÐÐµÑÑÐœÑÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÑÐµÑÐ²ÐµÑ Ð¿ÐŸÐºÐ° ÐœÐµ Ð·Ð°Ð¿ÑÑÐµÐœ.
+
+  
 General.No:ÐÐµÑ
 General.NotSunJava:Java ÐŽÐžÑÑÑÐžÐ±ÑÑÑÐŸÑ: {0}\nÐÐ±ÑÐ°ÑÐžÑÐµ Ð²ÐœÐžÐŒÐ°ÐœÐžÐµ, ÑÑÐŸ ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐÐœÑÐµÑÑÐµÐ¹Ñ Ð±ÑÐ» ÑÐ°Ð·ÑÐ°Ð±ÐŸÑÐ°Ðœ Ðž ÑÐµÑÑÐžÑÐŸÐ²Ð°Ðœ ÐœÐ° ÑÐ·ÑÐºÐµ Java ÑÐžÑÐŒÑ Sun Microsystems.
@@ -987,5 +992,5 @@
 #***** Missing EXEC_GS3 *****
 MissingEXEC_GS3.Message:ÐÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ° Ð²Ð²ÐµÐŽÐžÑÐµ Ð°ÐŽÑÐµÑ URL Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž ÐÑÐžÐœÑÑÐŸÑÐœ 3. ÐÑ ÐœÐµ ÑÐŒÐŸÐ¶ÐµÑÐµ Ð¿ÑÐŸÑÐŒÐ°ÑÑÐžÐ²Ð°ÑÑ ÐœÐŸÐ²ÑÐµ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð² ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÐŸÐŒ ÐÐœÑÐµÑÑÐµÐ¹ÑÐµ, ÐŸÐŽÐœÐ°ÐºÐŸ ÐµÑÐ»Ðž ÐÑ ÑÐºÐ°Ð¶ÐµÑÐµ Ð¿ÑÑÑ ÐŽÐžÑÐµÐºÑÐŸÑÐžÐž Ð² ÑÐµÐºÑÑÐŸÐ²ÐŸÐŒ Ð¿ÐŸÐ»Ðµ Ð²ÐœÐžÐ·Ñ, ÐžÐ»Ðž Ð¿ÐŸÐ·Ð¶Ðµ Ð² ÐÐ°ÑÑÑÐŸÐ¹ÐºÐ°Ñ
- Ð·Ð°ÐºÑÑÐ² Ð²ÐºÐ»Ð°ÐŽÐºÑ ÑÐŸÐµÐŽÐžÐœÐµÐœÐžÐµ. ÐÐ°Ð¿ÐŸÐŒÐœÐžÑÐµ, ÑÑÐŸ ÐŽÐµÐ¹ÑÑÐ²ÐžÑÐµÐ»ÑÐœÑÐ¹ URL ÐŽÐŸÐ»Ð¶ÐµÐœ ÐœÐ°ÑÐžÐœÐ°ÑÑÑÑ Ñ "http://".   
+ Ð·Ð°ÐºÑÑÐ² Ð²ÐºÐ»Ð°ÐŽÐºÑ ÑÐŸÐµÐŽÐžÐœÐµÐœÐžÐµ. ÐÐ°Ð¿ÐŸÐŒÐœÐžÑÐµ, ÑÑÐŸ ÐŽÐµÐ¹ÑÑÐ²ÐžÑÐµÐ»ÑÐœÑÐ¹ URL ÐŽÐŸÐ»Ð¶ÐµÐœ ÐœÐ°ÑÐžÐœÐ°ÑÑÑÑ Ñ "http://".  
 MissingEXEC_GS3.Title:ÐÐŽÑÐµÑ URL ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž ÐÑÐžÐœÑÑÐŸÑÐœ 3  
 #***** Missing GLIServer *****
@@ -1173,5 +1178,4 @@
 Server.QuitTimeOut:ÐÐŸÐºÐ°Ð»ÑÐœÐ°Ñ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ° ÐÑÐžÐœÑÑÐŸÑÐœ ÐœÐµ ÐŸÑÐ²ÐµÑÐžÐ»Ð° ÐœÐ° ÐºÐŸÐŒÐ°ÐœÐŽÑ\n Ð°Ð²ÑÐŸÐŒÐ°ÑÐžÑÐµÑÐºÐŸÐ³ÐŸ Ð·Ð°ÐºÑÑÑÐžÑ Ð² ÑÐµÑÐµÐœÐžÐµ {0} ÑÐµÐºÑÐœÐŽ. ÐÑ\nÐ¶ÐµÐ»Ð°ÐµÑÐµ ÐŸÐ¶ÐžÐŽÐ°ÑÑ Ð² ÑÐµÑÐµÐœÐžÐµ ÑÐ»ÐµÐŽÑÑÑÐžÑ
  {0} ÑÐµÐºÑÐœÐŽ?
-  
 Server.StartUpTimeOut:ÐÐŸÐºÐ°Ð»ÑÐœÐ°Ñ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ° ÐÑÐžÐœÑÑÐŸÑÐœ ÐœÐµ ÐŸÑÐ²ÐµÑÐ°ÐµÑ ÐœÐ° ÐºÐŸÐŒÐŒÐ°ÐœÐŽÑ Ð·Ð°Ð¿ÑÑÐºÐ° Ð² ÑÐµÑÐµÐœÐžÐž {0} ÑÐµÐºÑÐœÐŽ. Ð¥ÐŸÑÐžÑÐµÐ»Ðž Ð¶ÐŽÐ°ÑÑ ÐµÑÐµ  {0} ÑÐµÐºÑÐœÐŽ?  
 #