Index: gli/trunk/client-gli.sh
===================================================================
--- gli/trunk/client-gli.sh	(revision 19736)
+++ gli/trunk/client-gli.sh	(revision 19737)
@@ -86,5 +86,5 @@
 # call the script with source, so that we have the variables it sets ($javapath)
 exit_status=0
-source ./findjava.sh
+source ./findjava.sh $glilang
 exit_status=$?
 if [ "$exit_status" -eq 1 ]; then
Index: gli/trunk/findjava.sh
===================================================================
--- gli/trunk/findjava.sh	(revision 19736)
+++ gli/trunk/findjava.sh	(revision 19737)
@@ -10,5 +10,6 @@
 
     if [ "x$JAVA_HOME" = "x" -o ! -f "$JAVA_HOME/bin/java" ]; then
-	return no_java "$MIN_DISPLAY_VERSION"
+	no_java "$MIN_DISPLAY_VERSION"
+	return $?
     else
 	# There is a JAVA_HOME already set, we're going to try using that
@@ -17,5 +18,5 @@
 	# Print a warning that we're going to use whatever JAVA_HOME is set (fingers crossed)
 	echo
-	if [ "x$glilang" = "x" -o "$glilang" = "en" ]; then
+	if [ "x$gslang" = "x" -o "$gslang" = "en" ]; then
 	    echo "***************************************************************************"
 	    echo "WARNING: "
@@ -36,9 +37,9 @@
 
     echo
-    if [ "$glilang" = "es" ]; then
+    if [ "$gslang" = "es" ]; then
 	echo "No se pudo localizar una versión apropiada de Java. Usted deberá "
 	echo "instalar un Ambiente de Ejecución Java (versión $MINIMUM_DISPLAY_VERSION o superior) "
 	echo "antes de correr la Interfaz de la $PROGNAME."
-    elif [ "$glilang" = "fr" ]; then
+    elif [ "$gslang" = "fr" ]; then
 	echo "Une version adéquate de Java n'a pas pu être localisée."
 	echo "Vous devez installer un Java Runtime Environment (version $MINIMUM_DISPLAY_VERSION ou"
@@ -46,5 +47,5 @@
 	echo "Si vous avez Java installé sur votre ordinateur veuillez vérifier la variable"
 	echo "d'environnement JAVA_HOME."
-    elif [ "$glilang" = "ru" ]; then
+    elif [ "$gslang" = "ru" ]; then
 	echo "îÅ ÕÄÁÌÏÓØ ÏÐÒÅÄÅÌÉÔØ ÍÅÓÔÏÎÁÈÏÖÄÅÎÉÅ ÓÏÏÔ×ÅÔÓÔ×ÕÀÝÅÊ ×ÅÒÓÉÉ Java."
 	echo "÷Ù ÄÏÌÖÎÙ ÕÓÔÁÎÏ×ÉÔØ Java Runtime Environment (×ÅÒÓÉÀ $MINIMUM_DISPLAY_VERSION ÉÌÉ ×ÙÛÅ)"
@@ -79,5 +80,5 @@
         if [ "$?" = "0" ]; then
 	    
-            if [ "$glilang" = "es" ]; then
+            if [ "$gslang" = "es" ]; then
                 echo "La versión del Ambiente de Ejecución Java (JRE por sus siglas en "
                 echo "inglés) que usted tiene instalada es demasiado vieja para ejecutar "
@@ -85,10 +86,10 @@
                 echo "una nueva versión del Ambiente de Ejecución Java (versión $MIN_DISPLAY_VERSION o "
                 echo "posterior) y ejecute nuevamente este guión."
-            elif [ "$glilang" = "fr" ]; then
+            elif [ "$gslang" = "fr" ]; then
                 echo "La version de Java Runtime Environment que vous avez installée est"
                 echo "trop vielle pour faire fonctionner $PROGNAME."
                 echo "Veuillez installer une nouvelle version du JRE (version $MIN_DISPLAY_VERSION ou plus"
                 echo "récente) et redémarrez le script."
-            elif [ "$glilang" = "ru" ]; then
+            elif [ "$gslang" = "ru" ]; then
                 echo "÷ÅÒÓÉÑ Java Runtime Environment, ËÏÔÏÒÕÀ ÷Ù ÕÓÔÁÎÏ×ÉÌÉ, ÏÞÅÎØ ÓÔÁÒÁ,"
                 echo "ÞÔÏÂÙ ÕÐÒÁ×ÌÑÔØ ÂÉÂÌÉÏÔÅÞÎÙÍ $PROGNAME. ðÏÖÁÌÕÊÓÔÁ, "
@@ -103,5 +104,6 @@
 	    
         else
-	    return no_java "$MIN_DISPLAY_VERSION"
+	    no_java "$MIN_DISPLAY_VERSION"
+	    return $?
         fi
 	
@@ -117,5 +119,5 @@
 # Some users may set this line manually
 #JAVA_HOME=
-
+gslang=$1
 MINIMUM_JAVA_VERSION=1.4.0_00
 MIN_DISPLAY_VERSION=1.4
Index: gli/trunk/gli.sh
===================================================================
--- gli/trunk/gli.sh	(revision 19736)
+++ gli/trunk/gli.sh	(revision 19737)
@@ -82,5 +82,5 @@
 # call the script with source, so that we have the variables it sets ($javapath)
 exit_status=0
-source ./findjava.sh
+source ./findjava.sh $glilang
 exit_status=$?
 if [ "$exit_status" -eq 1 ]; then