Index: /release-kits/cdrk2/ant-scripts/build.xml
===================================================================
--- /release-kits/cdrk2/ant-scripts/build.xml	(revision 19789)
+++ /release-kits/cdrk2/ant-scripts/build.xml	(revision 19790)
@@ -40,5 +40,5 @@
 		<antcall target="build-tutorials"/>
 		<antcall target="build-documentation"/>
-		<antcall target="get-documented-examples"/>
+		<antcall target="insert-documented-examples"/>
 		<antcall target="insert-readmes"/>
 		<antcall target="insert-software"/>
@@ -126,22 +126,47 @@
 		<!-- top it off with a few more -->
 		<get src="http://wiki.greenstone.org/wiki/gsdoc/others/CDS-ISIS_to_DL.pdf" dest="cdrom/Documentation/English/CDS-ISIS_to_DL.pdf"/>
+		<get src="http://www.greenstone.org/docs/inside_greenstone.pdf" dest="cdrom/Documentation/English/inside_greenstone.pdf"/>
+
 		<get src="http://www.greenstone.org/manuals/gsdl2/ar/pdf/Users_Guide_Arabic.doc" dest="cdrom/Documentation/Arabic/Users_Guide_Arabic.doc"/>
 		<get src="http://www.greenstone.org/manuals/gsdl2/ar/pdf/Install_ar.pdf" dest="cdrom/Documentation/Arabic/Install_ar.pdf"/>
+
 		<mkdir dir="cdrom/Documentation/Brazilian Portuguese"/>
 		<get src="http://www.greenstone.org/manuals/gsdl2/pt-br/pdf/Install_pt-br.pdf" dest="cdrom/Documentation/Brazilian Portuguese/Install_pt-br.pdf"/>
 
-
-
-	</target>
-
-	<target name="get-documented-examples">
+		<mkdir dir="cdrom/Documentation/Vietnamese"/>
+		<get src="http://prdownloads.sourceforge.net/greenstone/Install-2.39-vi.pdf" dest="cdrom/Documentation/Vietnamese/Install-2.39-vi.pdf"/>
+		<get src="http://prdownloads.sourceforge.net/greenstone/User-2.39-vi.pdf" dest="cdrom/Documentation/Vietnamese/User-2.39-vi.pdf"/>
+		<get src="http://prdownloads.sourceforge.net/greenstone/Paper-2.39-vi.pdf" dest="cdrom/Documentation/Vietnamese/Paper-2.39-vi.pdf"/>
+
+		<mkdir dir="cdrom/Documentation/Kazakh"/>
+		<get src="http://prdownloads.sourceforge.net/greenstone/Install-2.39-kz.pdf" dest="cdrom/Documentation/Kazakh/Install-2.39-kz.pdf"/>
+		<get src="http://prdownloads.sourceforge.net/greenstone/User-2.39-kz.pdf" dest="cdrom/Documentation/Kazakh/User-2.39-kz.pdf"/>
+		<get src="http://prdownloads.sourceforge.net/greenstone/Paper-2.39-kz.pdf" dest="cdrom/Documentation/Kazakh/Paper-2.39-kz.pdf"/>
+
+
+	</target>
+
+	<target name="insert-documented-examples">
+		<antcall target="download-documented-examples"/>
+		<antcall target="untar-documented-examples"/>
+	</target>
+
+	<target name="download-documented-examples">
+		<!-- download the documented examples -->
+		<mkdir dir="archives"/>
+		<get src="${software.archive.documented-examples}" dest="archives/documented-examples.tar.gz"/>
+	</target>
+
+	<target name="untar-documented-examples">
 		<!-- create Document Examples folder -->
+		<!-- insert the documented examples -->
 		<delete dir="cdrom/Documented Examples"/>
-		<copy toDir="cdrom"><fileset dir="${cdrk2.home}/resources/Documented Examples"/></copy>
-
-		<!-- download and insert the documented examples -->
-		<mkdir dir="archives"/>
-		<get src="${software.archive.documented-examples}" dest="archives/documented-examples.tar.gz"/>
-		<untar src="archives/documented-examples.tar.gz" dest="cdrom/Documented Examples" compression="gzip" overwrite="true"/>
+		<copy toDir="cdrom">
+			<fileset dir="${cdrk2.home}/resources">
+				<include name="Documented Examples/**/*"/>
+				<include name="Documented Examples"/>
+			</fileset>
+		</copy>
+		<exec executable="tar" dir="cdrom/Documented Examples"><arg value="-xzf"/><arg value="../../archives/documented-examples.tar.gz"/></exec>
 	</target>
 
Index: /release-kits/derk/ant-scripts/build.xml
===================================================================
--- /release-kits/derk/ant-scripts/build.xml	(revision 19789)
+++ /release-kits/derk/ant-scripts/build.xml	(revision 19790)
@@ -24,4 +24,5 @@
 	<target name="derk" depends="init">
 		<antcall target="export-dec"/>
+		<antcall target="tweak-files"/>
 		<antcall target="prepare-gs2build"/>
 		<antcall target="build-collections"/>
@@ -45,4 +46,8 @@
 			</svn>
 		</if>
+	</target>
+
+	<target name="tweak-files">
+		<delete file="documented-examples/text-for-translation.txt"/>
 	</target>
 
Index: /release-kits/lirk2/installer/antinstall-config.xml
===================================================================
--- /release-kits/lirk2/installer/antinstall-config.xml	(revision 19789)
+++ /release-kits/lirk2/installer/antinstall-config.xml	(revision 19790)
@@ -30,5 +30,5 @@
 	<!-- start binary release -->
 	<page type="input" name="intro" displayText="">
-		<comment name="welcome-message"/>
+		<comment name="welcome"/>
 	</page>
 	<!-- end binary release -->
@@ -48,5 +48,5 @@
 
 		<directory property="installDir"
-			defaultValue="/usr/local/Greenstone2,${env.HOME}/Greenstone2"
+			defaultValue="/usr/local/Greenstone,${env.HOME}/Greenstone"
 			create="true"
 			displayText=""
Index: /release-kits/lirk3/installer/antinstall-config.xml
===================================================================
--- /release-kits/lirk3/installer/antinstall-config.xml	(revision 19789)
+++ /release-kits/lirk3/installer/antinstall-config.xml	(revision 19790)
@@ -34,5 +34,5 @@
 	<!-- start source release -->
 	<page type="input" name="intro" displayText="" target="Source Release">
-		<comment name="welcome-message"/>
+		<comment name="welcome-greenstone3"/>
 	</page>
 	<!-- end source release -->
Index: /release-kits/mark2/installer/antinstall-config.xml
===================================================================
--- /release-kits/mark2/installer/antinstall-config.xml	(revision 19789)
+++ /release-kits/mark2/installer/antinstall-config.xml	(revision 19790)
@@ -34,5 +34,5 @@
 	<!-- start source release -->
 	<page type="input" name="intro" displayText="" target="Source Release">
-		<comment name="welcome-message"/>
+		<comment name="welcome"/>
 	</page>
 	<!-- end source release -->
@@ -46,5 +46,5 @@
 
 		<directory property="installDir"
-			defaultValue="/usr/local/Greenstone2,${env.HOME}/Greenstone2"
+			defaultValue="/usr/local/Greenstone,${env.HOME}/Greenstone"
 			create="true"
 			displayText=""
Index: /release-kits/mark3/installer/antinstall-config.xml
===================================================================
--- /release-kits/mark3/installer/antinstall-config.xml	(revision 19789)
+++ /release-kits/mark3/installer/antinstall-config.xml	(revision 19790)
@@ -28,5 +28,5 @@
 	<!-- start binary release -->
 	<page type="input" name="intro" displayText="">
-		<comment name="welcome-message"/>
+		<comment name="welcome-greenstone3"/>
 	</page>
 	<!-- end binary release -->
Index: /release-kits/shared/core/language-strings/LanguagePack.properties
===================================================================
--- /release-kits/shared/core/language-strings/LanguagePack.properties	(revision 19789)
+++ /release-kits/shared/core/language-strings/LanguagePack.properties	(revision 19790)
@@ -7,5 +7,6 @@
 ### Intro Page ###
 page.intro.displayText=Greenstone @version@ installer
-welcome-message.displayText=Greenstone@version.major@ is software for building and sharing digital libraries.\n\nThis installer includes the Greenstone system, plus tools for hosting digital libraries (Apache2.2 for Linux/MacOS, Greenstone Library Server for Windows), converting images (ImageMagick), and dealing with pdf and postscript documents (GhostScript - Windows and MacOS only).
+welcome.displayText=Greenstone@version.major@ is software for building and sharing digital libraries.\n\nThis installer includes the Greenstone system, plus tools for hosting digital libraries (Apache2.2 for Linux/MacOS, Greenstone Library Server for Windows), converting images (ImageMagick), and dealing with pdf and postscript documents (GhostScript - Windows and MacOS only).
+welcome-greenstone3.displayText=Greenstone@version.major@ is software for building and sharing digital libraries.
 
 ## License page ###
Index: /release-kits/wirk2/installer/antinstall-config.xml
===================================================================
--- /release-kits/wirk2/installer/antinstall-config.xml	(revision 19789)
+++ /release-kits/wirk2/installer/antinstall-config.xml	(revision 19790)
@@ -34,5 +34,5 @@
 	<!-- start source release -->
 	<page type="input" name="intro" displayText="" target="Source Release">
-		<comment name="welcome-message"/>
+		<comment name="welcome"/>
 	</page>
 	<!-- end source release -->
@@ -46,5 +46,5 @@
 	<!-- Because of Vista UAC related issues, it is now preferred to install Greenstone where the current user has full privileges -->
 		<directory property="installDir"
-			defaultValue="C:\Program Files\Greenstone2,${env.HOMEDRIVE}\${env.HOMEPATH}\Greenstone2"
+			defaultValue="C:\Program Files\Greenstone,${env.HOMEDRIVE}\${env.HOMEPATH}\Greenstone"
 			create="true"
 			displayText=""
Index: /release-kits/wirk2/installer/build.xml
===================================================================
--- /release-kits/wirk2/installer/build.xml	(revision 19789)
+++ /release-kits/wirk2/installer/build.xml	(revision 19790)
@@ -227,4 +227,5 @@
 		<echo message="Filling in concrete values in config files"/>
 		<rsr file="${installDir}/setup.bat" pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
+		<copy file="${installDir}/cgi-bin/gsdlsite.cfg.in" tofile="${installDir}/cgi-bin/gsdlsite.cfg"/>
 		<rsr file="${installDir}/cgi-bin/gsdlsite.cfg">
 			<job pattern="\*\*GSDLHOME\*\*" replacement="${installDir}"/>
Index: /release-kits/wirk3/installer/antinstall-config.xml
===================================================================
--- /release-kits/wirk3/installer/antinstall-config.xml	(revision 19789)
+++ /release-kits/wirk3/installer/antinstall-config.xml	(revision 19790)
@@ -34,5 +34,5 @@
 	<!-- start source release -->
 	<page type="input" name="intro" displayText="" target="Source Release">
-		<comment name="welcome-message"/>
+		<comment name="welcome-greenstone3"/>
 	</page>
 	<!-- end source release -->