Index: /release-kits/lirk2/ant-scripts/build.xml
===================================================================
--- /release-kits/lirk2/ant-scripts/build.xml	(revision 19792)
+++ /release-kits/lirk2/ant-scripts/build.xml	(revision 19793)
@@ -33,5 +33,5 @@
 
 	<!-- THE MAIN TARGET -->
-	<target name="lirk2" depends="init">
+	<target name="lirk2" depends="init,gs2-init">
 		<antcall target="compile"/>
 		<antcall target="create-distribution"/>
@@ -44,10 +44,11 @@
 	<target name="properties">
 		<echo>Required Properties:</echo>
-		<echo>version             the version string for the release</echo>
+		<echo>version                       the version string for the release</echo>
 		<echo/>
 
 		<echo>Optional Properties:</echo>
-		<echo>branch.path         the branch of gsdl to make a release of. Eg: tags/2.81. Default: trunk.</echo>
-		<echo>branch.revision     the revision of gsdl to make a release of. Eg: 18273. Default: HEAD.</echo>
+		<echo>branch.path                   the branch of gsdl to make a release of. Eg: tags/2.81. Default: trunk.</echo>
+		<echo>branch.revision               the revision of gsdl to make a release of. Eg: 18273. Default: HEAD.</echo>
+		<echo>server.exe.location           URL to get server.exe from</echo>
 		<echo/>
 	</target>
Index: /release-kits/mark2/ant-scripts/build.xml
===================================================================
--- /release-kits/mark2/ant-scripts/build.xml	(revision 19792)
+++ /release-kits/mark2/ant-scripts/build.xml	(revision 19793)
@@ -52,5 +52,5 @@
 
 	<!-- THE MAIN TARGET -->
-	<target name="mark2" depends="init,mark2-init">
+	<target name="mark2" depends="init,gs2-init,mark2-init">
 		<antcall target="compile"/>
 		<antcall target="create-distribution"/>
@@ -63,11 +63,12 @@
 	<target name="properties">
 		<echo>Required Properties:</echo>
-		<echo>version             the version string for the release</echo>
-		<echo>processor           the processor type of the release. Allowed Values: 'ppc', 'intel'.</echo>
+		<echo>version                       the version string for the release</echo>
+		<echo>processor                     the processor type of the release. Allowed Values: 'ppc', 'intel'.</echo>
 		<echo/>
 
 		<echo>Optional Properties:</echo>
-		<echo>branch.path         the branch of gsdl to make a release of. Eg: tags/2.81. Default: trunk.</echo>
-		<echo>branch.revision     the revision of gsdl to make a release of. Eg: 18273. Default: HEAD.</echo>
+		<echo>branch.path                   the branch of gsdl to make a release of. Eg: tags/2.81. Default: trunk.</echo>
+		<echo>branch.revision               the revision of gsdl to make a release of. Eg: 18273. Default: HEAD.</echo>
+		<echo>server.exe.location           URL to get server.exe from</echo>
 		<echo/>
 	</target>
Index: /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml
===================================================================
--- /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 19792)
+++ /release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 19793)
@@ -12,4 +12,9 @@
 	<property name="version.major" value="2"/>
 
+	<target name="gs2-init">
+		<property name="server.exe.location" value="http://www.greenstone.org/caveat-emptor/server-${version}-candidate-${date}.exe" />
+		<echo message="server.exe.location:                    ${server.exe.location}"/>
+	</target>
+
 	<target name="export-gsdl-gli">
 		<delete dir="${dest}"/>
@@ -93,5 +98,5 @@
 	<target name="insert-export-to-cd-package">
 		<mkdir dir="${gsdl.basedir}/bin/windows"/>
-		<get src="http://greenstone.org/release-snapshots/server.exe" dest="${gsdl.basedir}/bin/windows/server.exe"/>
+		<get src="${server.exe.location}" dest="${gsdl.basedir}/bin/windows/server.exe"/>
 		<get src="http://svn.greenstone.org/other-projects/trunk/winbin/bin/Setup.exe" dest="${gsdl.basedir}/bin/windows/Setup.exe"/>
 		<get src="http://svn.greenstone.org/other-projects/trunk/winbin/bin/gssetup.exe" dest="${gsdl.basedir}/bin/windows/gssetup.exe"/>
Index: /release-kits/wirk2/ant-scripts/build.xml
===================================================================
--- /release-kits/wirk2/ant-scripts/build.xml	(revision 19792)
+++ /release-kits/wirk2/ant-scripts/build.xml	(revision 19793)
@@ -36,5 +36,5 @@
 
 	<!-- THE MAIN TARGET -->
-	<target name="wirk2" depends="init">
+	<target name="wirk2" depends="init,gs2-init">
 		<antcall target="compile"/>
 		<antcall target="create-distribution"/>