Index: extensions/gsdl-video/trunk/perllib/plugins/VideoPlugin.pm
===================================================================
--- extensions/gsdl-video/trunk/perllib/plugins/VideoPlugin.pm	(revision 19785)
+++ extensions/gsdl-video/trunk/perllib/plugins/VideoPlugin.pm	(revision 19828)
@@ -145,94 +145,4 @@
 
 
-sub enable_streaming
-{
-    my $self = shift (@_);
-    my ($doc_obj,$originalfilename,$filename,$convertto_regenerated,
-	$video_width,$video_height) = @_;
-
-    my $section = $doc_obj->get_top_section();
-
-    my $output_dir   = $self->{'cached_dir'};
-    my $ivideo_root  = $self->{'cached_file_root'};
-    
-    # Generate the Flash FLV format for streaming purposes
-    my $streamable_regenerated = 0;
-
-    my $optionally_run_general_cmd = "run_uncached_general_cmd";
-    if ($self->{'enable_cache'}) {
-	$optionally_run_general_cmd
-	    = ($convertto_regenerated) ? "regenerate_general_cmd" : "run_cached_general_cmd";
-    }
-
-    my $streaming_bitrate = $self->{'streamingbitrate'};
-    my $streaming_size    = $self->{'streamingsize'};
-    
-    my $streaming_quality = "high";
-    
-    my ($stream_cmd,$oflash_filename,$oflash_file) 
-	= $self->stream_cmd($originalfilename || $filename,
-			    $video_width,$video_height,
-			    $streaming_quality,
-			    $streaming_bitrate, $streaming_size);
-    
-    
-    my $streamable_options = { @{$self->{'ffmpeg_monitor'}},
-			       'message_prefix' => "Stream",
-			       'message' => "Generating streamable video: $oflash_file" }; 
-    
-    my $streamable_result;
-    my $streamable_had_error;
-    ($streamable_regenerated,$streamable_result,$streamable_had_error)
-	= $self->$optionally_run_general_cmd($stream_cmd,$oflash_filename,$streamable_options);
-    
-    if (!$streamable_had_error) {
-	my ($streamseekable_cmd,$ostreamseekable_filename) = $self->streamseekable_cmd($oflash_filename);
-	
-	my $streamseekable_options = { @{$self->{'flvtool2_monitor'}},
-				       'message_prefix' => "Stream Seekable",
-				       'message' => "Reprocessing video stream to be seekable by timeline: $oflash_file" }; 
-	
-	if ($streamable_regenerated) {
-	    $self->run_general_cmd($streamseekable_cmd,$streamseekable_options);
-	}
-	
-	my $streamable_url = $oflash_file;
-	## $streamable_url =~ s/ /%20/g;
-	my $streamable_url_safe = $self->url_safe($streamable_url);
-	
-	$doc_obj->add_utf8_metadata ($section, "streamablevideo", $streamable_url_safe);
-	$doc_obj->associate_file($oflash_filename,$oflash_file,"video/flash",
-				 $section);
-    }
-
-##    my $video_width = $doc_obj->get_metadata_element($section,"VideoWidth");
-##    my $video_height = $doc_obj->get_metadata_element($section,"VideoHeight");
-    
-    #
-    # FlowPlayer.swf       height+22 pixels
-    # FlowPlayerBlack.swf  height+16 pixels
-    # FlowPlayerThermo.swf height+16 pixels
-    # FlowPlayerWhite.swf  height+26 pixels
-    my $flashwidth = $video_width;
-    my $flashheight = $video_height + 22;
-    if ($self->{'extractkeyframes'}) {
-	$flashheight += 100;
-    }
-    $doc_obj->add_metadata ($section, "flashwidth",    $flashwidth);
-    $doc_obj->add_metadata ($section, "flashheight",   $flashheight);
- 
-#### *****   
-    # No longer used
-#    my $video_server = $ENV{'GEXT_VIDEO_SERVER'};
-#    my $video_prefix = $ENV{'GEXT_VIDEO_PREFIX'};
-#    my $base_url = "$video_server$video_prefix/collect/[collection]/index/assoc/[assocfilepath]/";
-#    my $base_url_safe = $self->url_safe($base_url);
-#    $doc_obj->add_utf8_metadata ($section, "baseurl",$base_url_safe);
-    
-    $self->{'oflash_file'} = $oflash_file;
-    $self->{'oflash_filename'} = $oflash_filename;
-
-    return $streamable_regenerated;
-}
 
 sub extract_thumbnail
@@ -608,7 +518,8 @@
     if ($self->{'enable_streaming'}) {	
 	$streamable_regenerated 
-	    = $self->enable_streaming($doc_obj,$originalfilename,$filename,
-				      $convertto_regenerated,
-				      $video_width,$video_height);
+	    = $self->enable_full_streaming($doc_obj,
+					   $originalfilename,$filename,
+					   $convertto_regenerated,
+					   $video_width,$video_height);
     }
 